<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gridi harjutus</title>
    <style>
        html,
        body {
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial;
        }

        .container {
            display: grid;
            width: 100%;
            height: 100%;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
        }

        #main-nav {
            grid-column: 1 / 2;
            grid-row: 1 / 5;
        }

        @media (max-width: 600px) {
            .container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
            }

            header {
                grid-row: 1 / 2;
                grid-column: 1 / 2;
            }

            footer {
                grid-row: 2 / 3;
                grid-column: 1 / 2;
            }

            #main-nav {
                grid-row: 3 / 4;
                grid-column: 1 / 2;
            }

            main {
                grid-row: 4 / 5;
                grid-column: 1 / 2;
            }

            #top-nav {
                grid-row: 5 / 6;
                grid-column: 1 / 2;
            }
        }

        header,
        footer,
        main,
        nav {
            border: 1px solid black;
            display: flex;
            justify-content: center;
            align-items: center;
        }
    </style>
</head>

<body>
    <div class="container">
        <header>Header</header>
        <nav id="top-nav">Top navigation</nav>
        <nav id="main-nav">Main navigation</nav>
        <main>Main</main>
        <footer>Footer</footer>
    </div>
</body>

</html>